# dmd.link

Invoke the linker as a separate process.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: link.d

Documentation: https://dlang.org/phobos/dmd_link.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/link.d

- `runLINK`

  #### Declaration

  `int `runLINK`();`

  Run the linker. Return status of execution.

- `runProgram`

  #### Declaration

  `int `runProgram`();`

  Run the compiled program. Return exit status.

- `runPreprocessor`

  #### Declaration

  `int `runPreprocessor`(const(char)[] `cpp`, const(char)[] `filename`, const(char)* `importc_h`, ref Array!(const(char)*) `cppswitches`, const(char)[] `output`, OutBuffer* `defines`);`

  Run the C preprocessor.

  #### Parameters

  `const(char)[] `cpp`` | name of C preprocessor program
  `const(char)[] `filename`` | C source file name
  `const(char)* `importc_h`` | `filename` of importc.h
  `Array!(const(char)*) `cppswitches`` | array of switches to pass to C preprocessor
  `const(char)[] `output`` | preprocessed `output` file name
  `OutBuffer* `defines`` | buffer to append any `#define` and `#undef` lines encountered to

  #### Return Value

  exit status.